Skip to main content
GET
/
collections
/
{collectionId}
Get collection
curl --request GET \
  --url https://api.thehaystack.ai/v2/haystack/collections/{collectionId} \
  --header 'Authorization: Bearer <token>'
{
  "collection": {
    "id": 1,
    "name": "Sunday Sermons",
    "itemDescriptor": "sermon",
    "contentFormat": "sermon",
    "fullService": false,
    "variantTypes": [
      {
        "id": 123,
        "name": "Sermon Video",
        "contentType": "video",
        "indexable": true,
        "displayOrder": 123,
        "collectionId": 123
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://developer.thehaystack.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Enter your API token from the Haystack dashboard

Path Parameters

collectionId
integer
required

Query Parameters

_expand[]
enum<string>[]

Related entities to include in the response

Available options:
variantTypes

Response

200 - application/json

Collection details

collection
object